GET https://api.d-tools.com/SI/Message/PublishedMessageStatus?messageId={messageId}
Get status of a published message.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| messageId |
Id of the message |
globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
MessageStatus| Name | Description | Type | Additional information |
|---|---|---|---|
| Id |
Id of Message |
globally unique identifier |
None. |
| TypeId |
Type Id of the message. ProductCatalog = 1, Project = 11, UpdateProject = 12, NewProjectChangeOrderInfo = 13, UpdateClient = 21, ClientList = 22 |
byte |
None. |
| StatusId |
Status Id of the message. Pending = 1, Imported = 2, Failed = 3 (check Error Message) |
byte |
None. |
| ImportedOn |
Date imported to SI |
date |
None. |
| ErrorMessage |
Error message (populated if StatusId = 3 (Failed) |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Id": "cf17c0ab-9fb4-453b-9af0-5c13d68096cf",
"TypeId": 64,
"StatusId": 64,
"ImportedOn": "2026-05-10T10:45:24.6232802+00:00",
"ErrorMessage": "sample string 4"
}
application/xml, text/xml
Sample:
<MessageStatus xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"> <Id>cf17c0ab-9fb4-453b-9af0-5c13d68096cf</Id> <TypeId>64</TypeId> <StatusId>64</StatusId> <ImportedOn>2026-05-10T10:45:24.6232802+00:00</ImportedOn> <ErrorMessage>sample string 4</ErrorMessage> </MessageStatus>